﻿using UnityEngine;
using System.Collections;

public class CharCtrl : MonoBehaviour {

	public float moveSpeed = 1.5f;
	public float jumpSpeed = 100.0f;
	public float gravity = -9.8f;
	
	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		CharacterController controller = GetComponent<CharacterController>();
		Vector3 move = transform.TransformDirection(new Vector3(Input.GetAxis("Horizontal") * moveSpeed, gravity, Input.GetAxis("Vertical") * moveSpeed));
		if(controller.isGrounded && Input.GetButton("Jump"))
			move.y = jumpSpeed;
		move *= Time.deltaTime;
		controller.Move(move);
	}

}
