﻿using UnityEngine;
using System.Collections;

public class GenBillboardPlane : MonoBehaviour {

	public float width;
	public float height;

	// TODO 3
	// !! vytvorte EMPTY a pridejte k nemu tento skript.
	// je nutne pridat komponenty MeshFilter a MeshRenderer

	// Use this for initialization
	void Start () {
		MeshFilter mf = gameObject.GetComponent<MeshFilter>(); //stara se o renderovani objektu
		Mesh mesh = new Mesh(); //drzi geometrii
		mf.mesh = mesh;

		Vector3[] vertices = new Vector3[4]; //vytvorime si pole vertexu

		vertices[0] = new Vector3(0,0,0);
		vertices[1] = new Vector3(width,0,0);
		vertices[2] = new Vector3(0,height,0);
		vertices[3] = new Vector3(width,height,0);

		mesh.vertices = vertices;

		int[] triangles = new int[6];
		triangles [0] = 0;
		triangles [1] = 2;
		triangles [2] = 1;

		triangles [3] = 2;
		triangles [4] = 3;
		triangles [5] = 1;

		mesh.triangles = triangles;

		Vector3[] normals = new Vector3[4];
		normals [0] = -Vector3.forward;
		normals [1] = -Vector3.forward;
		normals [2] = -Vector3.forward;
		normals [3] = -Vector3.forward;

		mesh.normals = normals;

		Vector2[] uv = new Vector2[4];

		uv [0] = new Vector2 (0, 0);
		uv [1] = new Vector2 (1, 0);
		uv [2] = new Vector2 (0, 1);
		uv [3] = new Vector2 (1, 1);

		mesh.uv = uv;
	}
	
	// Update is called once per frame
	void Update () {
	
	}
}
